stack.sh installer fails to install python requirements

Asked by lgs

The installation stops on command /usr/bin/git clone -q https://github.com/cloudbuilders/openstackx.git /opt/stack/devstack/src/openstackx failed with error code 128

This is reproducible, always fails, also on other installation on different networks.
Is there any way to overcome this issue ?

++ cat /opt/stack/devstack/files/pips/horizon /opt/stack/devstack/files/pips/keystone /opt/stack/devstack/files/pips/tempest
+ sudo PIP_DOWNLOAD_CACHE=/var/cache/pip pip install --proxy=http://localhost:5865 --use-mirrors Django==1.3 django-mailer django-nose==0.1.2 django-nose-selenium django-registration==0.7 pycrypto==2.3 sqlalchemy-migrate python-cloudfiles -e git+https://github.com/cloudbuilders/openstackx.git#egg=openstackx -e git+https://github.com/jacobian/openstack.compute.git#egg=openstack -e git+https://github.com/4P/python-keystoneclient.git#egg=python-keystoneclient PassLib pika
error: Failed connect to github.com:443; Connection timed out while accessing https://github.com/cloudbuilders/openstackx.git/info/refs

fatal: HTTP request failed
Downloading/unpacking Django==1.3
  Using download cache from /var/cache/pip/http%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2FD%2FDjango%2FDjango-1.3.tar.gz
  Running setup.py egg_info for package Django

Downloading/unpacking django-mailer
  Using download cache from /var/cache/pip/http%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2Fd%2Fdjango-mailer%2Fdjango-mailer-0.1.0.tar.gz
  Running setup.py egg_info for package django-mailer

Downloading/unpacking django-nose==0.1.2
  Using download cache from /var/cache/pip/http%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2Fd%2Fdjango-nose%2Fdjango-nose-0.1.2.tar.gz
  Running setup.py egg_info for package django-nose

Downloading/unpacking django-nose-selenium
  Using download cache from /var/cache/pip/http%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2Fd%2Fdjango-nose-selenium%2Fdjango-nose-selenium-0.7.3.tar.gz
  Running setup.py egg_info for package django-nose-selenium

Downloading/unpacking django-registration==0.7
  Using download cache from /var/cache/pip/http%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2Fd%2Fdjango-registration%2Fdjango-registration-0.7.tar.gz
  Running setup.py egg_info for package django-registration

    warning: no files found matching '*' under directory 'registration/bin'
Requirement already satisfied (use --upgrade to upgrade): pycrypto==2.3 in /usr/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): sqlalchemy-migrate in /usr/lib/python2.7/dist-packages
Downloading/unpacking python-cloudfiles
  Using download cache from /var/cache/pip/http%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2Fp%2Fpython-cloudfiles%2Fpython-cloudfiles-1.7.9.3.tar.gz
  Running setup.py egg_info for package python-cloudfiles

    warning: no previously-included files found matching 'python_cloudfiles.egg-info'
Downloading/unpacking PassLib
  Using download cache from /var/cache/pip/http%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2Fp%2Fpasslib%2Fpasslib-1.5.3.tar.gz
  Running setup.py egg_info for package PassLib

    no previously-included directories found matching 'docs/_build'
    no previously-included directories found matching '*.komodoproject'
Downloading/unpacking pika
  Using download cache from /var/cache/pip/http%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2Fp%2Fpika%2Fpika-0.9.5.tar.gz
  Running setup.py egg_info for package pika

Obtaining openstackx from git+https://github.com/cloudbuilders/openstackx.git#egg=openstackx
  Cloning https://github.com/cloudbuilders/openstackx.git to ./src/openstackx
  Complete output from command /usr/bin/git clone -q https://github.com/cloudbuilders/openstackx.git /opt/stack/devstack/src/openstackx:

----------------------------------------
Command /usr/bin/git clone -q https://github.com/cloudbuilders/openstackx.git /opt/stack/devstack/src/openstackx failed with error code 128
Storing complete log in /opt/stack/.pip/pip.log
++ failed
++ local r=1
++ set +o xtrace
stack.sh failed: full log in /opt/stack/devstack/stack.sh.29220.log
+ for ret in '"${PIPESTATUS[@]}"'
+ '[' 1 -eq 0 ']'
+ exit 1

Question information

Language:
English Edit question
Status:
Answered
For:
OpenStack Identity (keystone) Edit question
Assignee:
No assignee Edit question
Last query:
Last reply:
Revision history for this message
Lorin Hochstein (lorinh) said :
#1

Based on this:

error: Failed connect to github.com:443; Connection timed out while accessing https://github.com/cloudbuilders/openstackx.git/info/refs

It looks like you're having trouble reaching github.com. Can you verify that github is reachable from your machine?

Revision history for this message
lgs (luca-soave) said :
#2

Of course,
the access works fine, i did "git pull" many times in the last few days, to update the master repo :

root@itlha105:/opt/stack/devstack# git pull
Auto-merging stack.sh
Merge made by recursive.
Auto packing the repository for optimum performance. You may also
run "git gc" manually. See "git help gc" for more information.Counting objects: 137, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (137/137), done.
Writing objects: 100% (137/137), done.
Total 137 (delta 71), reused 0 (delta 0)
warning: There are too many unreachable loose objects; run 'git prune' to remove them.
 files/apts/horizon | 6 ++++++
 files/apts/nova | 3 ++-
 files/glance-api.conf | 32 +++++++++++++++++++-------------
 files/glance-registry.conf | 14 +++++++++-----
 files/pips/horizon | 6 ------
 files/swift/proxy-server.conf | 2 +-
 stack.sh | 10 +++++-----
 stackrc | 4 +++-
 tools/build_ci_config.sh | 2 +-
 9 files changed, 46 insertions(+), 33 deletions(-)
root@itlha105:/opt/stack/devstack#

anyway YES, running manually the command, it fails using https protocol while it works using http :

root@itlha105:/opt/stack/devstack# git clone -q https://github.com/cloudbuilders/openstackx.git
warning: remote HEAD refers to nonexistent ref, unable to checkout.

root@itlha105:/opt/stack/devstack#

root@itlha105:/opt/stack/devstack# git clone http://github.com/cloudbuilders/openstackx.git /opt/stack/devstack/src/openstackx
Cloning into /opt/stack/devstack/src/openstackx...
remote: Counting objects: 1271, done.
remote: Compressing objects: 100% (518/518), done.
remote: Total 1271 (delta 799), reused 1222 (delta 751)
Receiving objects: 100% (1271/1271), 164.57 KiB | 268 KiB/s, done.
Resolving deltas: 100% (799/799), done.
root@itlha105:/opt/stack/devstack#

Now, is there the way to say the script stack.sh to use http://github.com/cloudbuilders/openstackx.git instaed of https?

Also just skipping this only step and going on, should be fine ( because I jut got manually the src/openstackx ).

Any help on where/how/what to change in the stack.sh ?

Revision history for this message
lgs (luca-soave) said :
#3

Ok, modifying /opt/stack/devstack/files/pips/horizon like following :

before :

-e git+https://github.com/cloudbuilders/openstackx.git#egg=openstackx
-e git+https://github.com/jacobian/openstack.compute.git#egg=openstack
-e git+https://github.com/4P/python-keystoneclient.git#egg=python-keystoneclient

after :

-e http://github.com/cloudbuilders/openstackx.git#egg=openstackx
-e http://github.com/jacobian/openstack.compute.git#egg=openstack
-e http://github.com/4P/python-keystoneclient.git#egg=python-keystoneclient

stack.sh will use http instead of https ... but it fails elsewhere :

Setting up python-cloudfiles (1.7.9.2-0ubuntu1) ...
Processing triggers for python-support ...
++ cat /opt/stack/devstack/files/pips/horizon /opt/stack/devstack/files/pips/horizon.orig /opt/stack/devstack/files/pips/keystone /opt/stack/devstack/files/pips/tempest
+ sudo PIP_DOWNLOAD_CACHE=/var/cache/pip pip install --proxy=http://localhost:5865 --use-mirrors django-nose-selenium pycrypto==2.3 -e http://github.com/cloudbuilders/openstackx.git#egg=openstackx -e http://github.com/jacobian/openstack.compute.git#egg=openstack -e http://github.com/4P/python-keystoneclient.git#egg=python-keystoneclient django-nose-selenium pycrypto==2.3 -e git+https://github.com/cloudbuilders/openstackx.git#egg=openstackx -e git+https://github.com/jacobian/openstack.compute.git#egg=openstack -e git+https://github.com/4P/python-keystoneclient.git#egg=python-keystoneclient PassLib pika
Double requirement given: django-nose-selenium (aready in django-nose-selenium, name='django-nose-selenium')
Storing complete log in /opt/stack/.pip/pip.log
++ failed
++ local r=1
++ set +o xtrace
stack.sh failed: full log in /opt/stack/devstack/stack.sh.1038.log
+ for ret in '"${PIPESTATUS[@]}"'
+ '[' 1 -eq 0 ']'
+ exit 1

Revision history for this message
lgs (luca-soave) said :
#4

... of course you see "--proxy=http://localhost:5865" in previous log :

sudo PIP_DOWNLOAD_CACHE=/var/cache/pip pip install --proxy=http://localhost:5865 --use-mirrors django-nose-selenium

because I'm behind a firewall, so I congigured stack.sh to work with NTLmaps proxy configuration :

sudo PIP_DOWNLOAD_CACHE=/var/cache/pip pip install --proxy=http://localhost:5865 --use-mirrors `cat $FILES/pips/*`

Revision history for this message
Anne Gentle (annegentle) said :
#5

Ah, you have found devstack.org. :)

Can you help with this problem?

Provide an answer of your own, or ask lgs for more information if necessary.

To post a message you must log in.